<?php

$mask = array(
	      'table' => 'gerate',
	      'title' => 'Geräte',
	      'join' => array('geraetetypen ON gerate.geraetetyp = geraetetypen.id'),
	      'sort' => 1,
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    'sql' => 'gerate.id',
					    ),
			      'geraet' => array(
					    'name' => 'Gerät',
					    'width' => 200,
					    ),
			      'geraetetyp' => array(
					    'name' => 'Gerätetyp',
					    'width' => 70,
					    'sql' => 'geraetetypen.name',
					    ),
			      'gerstdsatz' => array(
					    'name' => 'Stundensatz',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', canSort: false",
					    'width' => 50,
					    ),
			      'geraetkst_intern' => array(
					    'name' => 'interne Kosten',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', canSort: false",
					    'width' => 60,
					    ),
			      'geraetkst_extern' => array(
					    'name' => 'externe Kosten',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', canSort: false",
					    'width' => 60,
					    ),
			      ),
	      'edit' => array(
			      'geraet' => array(
					    'name' => 'Gerät',
					    'type' => 'text',
					    'size' => 24,
					    'required' => true,
					    ),
			      'geraetetyp' => array(
					    'name' => 'Gerätetyp',
					    'type' => 'select',
					    'options' => 'SELECT id,name AS text FROM geraetetypen ORDER BY name',
					    ),
			      'gerstdsatz' => array(
					    'name' => 'Stundensatz',
					    'type' => 'decimal',
					    'size' => 15,
					    'required' => true,
					    ),
			      'geraetkst_intern' => array(
					    'name' => 'Gerätekosten intern',
					    'type' => 'decimal',
					    'size' => 15,
					    'required' => true,
					    ),
			      'geraetkst_extern' => array(
					    'name' => 'Gerätekosten extern',
					    'type' => 'decimal',
					    'size' => 15,
					    'required' => true,
					    ),
			      ),
	      );

?>
